PrefabFiles = {
	"ton",
	"tonspear",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/ton.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/ton.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/ton.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/ton.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/ton_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/ton_silho.xml" ),

    Asset( "IMAGE", "bigportraits/ton.tex" ),
    Asset( "ATLAS", "bigportraits/ton.xml" ),

	Asset("IMAGE", "images/ton.tex"),
	Asset("ATLAS", "images/ton.xml"),
    
	Asset("ATLAS", "images/inventoryimages/tonspear.xml"),	
    Asset("IMAGE", "images/inventoryimages/tonspear.tex"),	
}

local Ingredient = GLOBAL.Ingredient
local RECIPETABS = GLOBAL.RECIPETABS
local STRINGS = GLOBAL.STRINGS

GLOBAL.STRINGS.NAMES.TONSPEAR = "Divine Weapon"
GLOBAL.STRINGS.RECIPE_DESC.TONSPEAR = "Legendary weapon of Patapons."

GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.TONSPEAR = "This is artefact!"

local tonspear = GLOBAL.Recipe("tonspear", {Ingredient("thulecite", 15) , Ingredient("livinglog", 10), Ingredient("bluegem", 6)}, RECIPETABS.ANCIENT, {SCIENCE = 2} )
tonspear.atlas = "images/inventoryimages/tonspear.xml"

AddMinimapAtlas("images/ton.xml")

GLOBAL.STRINGS.CHARACTER_TITLES.ton = "The Yaripon"
GLOBAL.STRINGS.CHARACTER_NAMES.ton = "Ton"  -- Note! This line is especially important as some parts of the game require
                                            -- the character to have a valid name.
GLOBAL.STRINGS.CHARACTER_DESCRIPTIONS.ton = "* Strong, fast, deadly!\n*He is not afraid of monsters. But the night is different ..."
GLOBAL.STRINGS.CHARACTER_QUOTES.ton = "Pata Pon Don Chaka!"

-- You can also add any kind of custom dialogue that you would like. Don't forget to make
-- categores that don't exist yet using = {}
-- note: these are UPPER-CASE charcacter name
GLOBAL.STRINGS.CHARACTERS.TON = {}
GLOBAL.STRINGS.CHARACTERS.TON.DESCRIBE = {}
GLOBAL.STRINGS.CHARACTERS.TON.DESCRIBE.EVERGREEN = "Oh. where is a Pakapon?"

-- Let the game know Ton is a male, for proper pronouns during the end-game sequence.
-- Possible genders here are MALE, FEMALE, or ROBOT
table.insert(GLOBAL.CHARACTER_GENDERS.MALE, "ton")


AddModCharacter("ton")

